﻿dofile(ModPath .. "menu/menu.lua")

--Affects Holdout in Streamlined Heisting
if StreamHeist and ZEALTierSelector.settings.activated == true then
	function SkirmishManager:init_finalize()
		print("SkirmishManager:init_finalize")

		if not self:is_skirmish() then
			return
		end

		if self:is_weekly_skirmish() then
			self:_apply_weekly_modifiers()

			if Network:is_client() and not self:host_weekly_match() then
				self:block_weekly_progress()
			end
		end

		if Network:is_server() then
			managers.groupai:add_event_listener({}, "start_assault", callback(self, self, "on_start_assault"))
			managers.groupai:add_event_listener({}, "end_assault_late", callback(self, self, "on_end_assault"))
		end

		managers.network:add_event_listener({}, "on_set_dropin", callback(self, self, "block_weekly_progress"))

		self._start_wave = self:wave_range()
		self._loot_drops = nil
		self._lootdrops_coroutine = nil
		self._generated_lootdrops = nil
	end

	function SkirmishManager:_apply_modifiers_for_wave(wave_number)
		local modifiers_data = tweak_data.skirmish.wave_modifiers[wave_number]

		if not modifiers_data then
			return
		end

		for _, modifier_data in ipairs(modifiers_data) do
			local modifier_class = _G[modifier_data.class]
			local modifier_opts = modifier_data.data
			local modifier = modifier_class:new(modifier_opts)

			managers.modifiers:add_modifier(modifier, "skirmish_wave")
		end
	end
end